Subject: Re: bug#47911: Package outputs should be described in the UI

From: Bone Baboon <[email-masked]>
Date: Tue, 20 Apr 2021 15:42:17 -0400

Leo Famulari writes:

> At least once a month I have to help somebody on IRC who didn't notice
> that our Git package is split into multiple outputs.
>
> They can't find `git send-email`, and the Guix package UI doesn't make
> this clear enough.
>
> I had the idea that package outputs besides 'out' and 'debug' should
> have very brief descriptions that are exposed in `guix show` and `guix
> search` and the `guix package` equivalents.

I ran into this issue when I started using Guix.

I like this idea.